/* Version Identification:
 * @(#)change_record.h	1.4 3/2/95
 */
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.

Permission is hereby granted, without written agreement and without
license or royalty fees, to use, copy, modify, and distribute this
software and its documentation for any purpose, provided that the
above copyright notice and the following two paragraphs appear in all
copies of this software.

IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF
THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE
PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS.

						PT_COPYRIGHT_VERSION_2
						COPYRIGHTENDKEY
*/
#ifndef OCT_CHANGE_RECORD_H
#define OCT_CHANGE_RECORD_H
#include "ansi.h"
#include "geo.h"		/* Pickup decl for struct change_record */
void oct_change_record_desc_set
	ARGS((struct object_desc *object_desc));

int oct_must_record
	ARGS((generic *obj,int operation));

octStatus oct_make_change_record_marker
	ARGS((octId clid));

octStatus oct_record_change
	ARGS((generic *obj, unsigned int type, int operation, int32 c_xid, octObject *old_value, int num_points, struct octPoint *points, struct octBox *bbox));
octStatus oct_do_record_copy
	ARGS((generic *ptr,octObject **copy_p));
octStatus oct_free_record_copy
	ARGS((octObject *copy));
octStatus oct_do_record_delete
	ARGS((struct change_record *rec));
#endif
