/* Version Identification:
 * @(#)fa_internal.h	1.2	3/2/95
 */
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.

Permission is hereby granted, without written agreement and without
license or royalty fees, to use, copy, modify, and distribute this
software and its documentation for any purpose, provided that the
above copyright notice and the following two paragraphs appear in all
copies of this software.

IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF
THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE
PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS.

						PT_COPYRIGHT_VERSION_2
						COPYRIGHTENDKEY
*/
#define FA_INFINITY 2147483647

extern int fa_delta_array[];
extern fa_vertex_type fa_inverse_type[];
extern int fa_auto_merge_threshold;
extern double fa_auto_merge_factor;

#define fa_vertex_delta(type)\
    fa_delta_array[(int) type]

char *fa_print_type();
void fa_check_sort();
void fa_next_vertex();
void fa_check();
void fa_fix();
void fa_error();
void fa_init_line();
void fa_insert_point();
void fa_remove_point();
void fa_free_line();
void fa_dump_vertices();
void fa_debug_func();
void fa_rev_sort();

#define FA_SORTED	1
#define FA_MERGED	2
